
Redmine - Feature #7792

Compression of Redmine's images

2011-03-06 05:42 - F. W.

Status: New Start date: 2011-03-06

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Redmine's PNGs are currently not fully optimized; the attached version is about 12kB smaller.

History

#1 - 2011-03-06 05:50 - F. W.

Would you be interested in further contributions to the efficiency of the frontend? I guess I could try to find a solution to maintainable CSS sprites, and

CSS and Javascript minification and compression.

By the way, do some images intentionally lack a transparent background?

#2 - 2011-03-06 05:53 - F. W.

(Like message.png and comment.png, one has a transparent background, the other has a white background.)

#3 - 2011-03-06 16:52 - F. W.

- % Done changed from 0 to 100

#4 - 2011-03-07 10:09 - Etienne Massip

- Target version set to Candidate for next minor release

#5 - 2011-03-14 11:41 - F. W.

- File zoom_in.png added

- File zoom_out.png added

Here is an update to latest trunk.

#6 - 2011-06-13 12:39 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth

- Target version changed from Candidate for next minor release to Candidate for next major release

- Resolution deleted (Fixed)

As far as I know, images are directly taken from the famfam icon set, any lack of optimization or transparent background is not intentional. If you want

to provide a fully optimized set, I'll integrate them all in the same commit.

Anyway, we don't want to maintain CSS sprites, it's a bit too complicated to maintain. Thanks for your contribution.

#7 - 2012-06-10 22:42 - Jean-Baptiste Barth

- Assignee deleted (Jean-Baptiste Barth)

#8 - 2013-10-23 16:34 - Gabriel Mazetto

I'm not sure if this ticket is older or then sprockets css sprites... but here we go:

http://railscasts.com/episodes/334-compass-css-sprites?view=asciicast

Files

images.tar.gz 40.4 KB 2011-03-06 F. W.
http://railscasts.com/episodes/334-compass-css-sprites?view=asciicast


zoom_in.png 626 Bytes 2011-03-14 F. W.

zoom_out.png 601 Bytes 2011-03-14 F. W.
